Alokai

SapccApiGetCartEntryConfigurationRequest

Request parameters for getCartEntryConfiguration operation in SapccApi. SapccApiGetCartEntryConfigurationRequest

interface SapccApiGetCartEntryConfigurationRequest {
	readonly baseSiteId: string;
	readonly cartId: string;
	readonly entryNumber: number;
	readonly expMode?: boolean;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier. {string} SapccApiGetCartEntryConfiguration
cartIdRequiredstringCart identifier: cart code for logged-in user, cart GUID for anonymous user, or 'current' for the last modified cart. {string} SapccApiGetCartEntryConfiguration
entryNumberRequirednumberEach entry in a cart has an entry number. Cart entries are numbered in ascending order, starting with zero. {number} SapccApiGetCartEntryConfiguration
expModeOptionalbooleanIf this parameter is provided and its value is true, the system tries to execute the request in expert mode (only possible if the current user belongs to group 'sapproductconfigexpmodegroup'. {boolean} SapccApiGetCartEntryConfiguration
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user. {string} SapccApiGetCartEntryConfiguration

On this page